GUJ Discussões   :   últimos tópicos   |   categorias   |   GUJ Respostas

Erro ao executar npm

Realizei um projeto em uma máquina com windows, e quando fui passar para a minha, com linux, ocorreu um erro ao instalar o npm:

npm WARN NLW@ No repository field.
npm WARN NLW@ No license field.
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.1.3 (node_modules/fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.1.3: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})

audited 227 packages in 1.785s

9 packages are looking for funding
  run `npm fund` for details

found 0 vulnerabilities

n tem erro aí, só warn, mostra o log todo

quando eu fui rodar apareceu isto

NLW@ dev /home/murilo/Documentos/projetos/Proffy_NLW
nodemon src/server.js

sh: 1: nodemon: Permission denied
npm ERR! code ELIFECYCLE
npm ERR! errno 126
npm ERR! NLW@ dev: `nodemon src/server.js`
npm ERR! Exit status 126
npm ERR! 
npm ERR! Failed at the NLW@ dev script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR!     /root/.npm/_logs/2020-12-01T18_21_44_143Z-debug.log
sudo npm install -g nodemon

Error: Cannot find module ‘/home/murilo/Documentos/projetos/Proffy_NLW/node_modules/sqlite3/lib/binding/node-v64-linux-x64/node_sqlite3.node’
at Function.Module._resolveFilename (internal/modules/cjs/loader.js:636:15)
at Function.Module._load (internal/modules/cjs/loader.js:562:25)
at Module.require (internal/modules/cjs/loader.js:692:17)
at require (internal/modules/cjs/helpers.js:25:18)
at Object. (/home/murilo/Documentos/projetos/Proffy_NLW/node_modules/sqlite3/lib/sqlite3-binding.js:4:15)
at Module._compile (internal/modules/cjs/loader.js:778:30)
at Object.Module._extensions…js (internal/modules/cjs/loader.js:789:10)
at Module.load (internal/modules/cjs/loader.js:653:32)
at tryModuleLoad (internal/modules/cjs/loader.js:593:12)
at Function.Module._load (internal/modules/cjs/loader.js:585:3)
[nodemon] app crashed - waiting for file changes before starting…

Já tentou desinstalar o nodemon e instalar novamente?

//